## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate tiny-skia

Name:           rust-tiny-skia
Version:        0.11.3
Release:        %autorelease
Summary:        Tiny Skia subset ported to Rust

License:        BSD-3-Clause
URL:            https://crates.io/crates/tiny-skia
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
#  - Exclude tests from the package
Patch:          tiny-skia-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A tiny Skia subset ported to Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-std-float-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-std-float-devel %{_description}

This package contains library source intended for building other packages which
use the "no-std-float" feature of the "%{crate}" crate.

%files       -n %{name}+no-std-float-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+png-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+png-devel %{_description}

This package contains library source intended for building other packages which
use the "png" feature of the "%{crate}" crate.

%files       -n %{name}+png-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+png-format-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+png-format-devel %{_description}

This package contains library source intended for building other packages which
use the "png-format" feature of the "%{crate}" crate.

%files       -n %{name}+png-format-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Dec 28 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.11.3-1
- Update to 0.11.3 (rhbz#2208054)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.8.4-1
- Update to 0.8.4

* Tue May 02 2023 Tomas Hrcka <thrcka@redhat.com> - 0.6.3-3
- Unretirement request: https://pagure.io/releng/issue/11413

* Thu Feb 03 2022 Rémi Lauzier <remilauzier@protonmail.com> - 0.6.3-2
- Deactivate test on s390x

* Wed Feb 02 2022 Rémi Lauzier <remilauzier@protonmail.com> - 0.6.3-1
- Initial import; Fixes RHBZ#1983541
